# PhasicFlow: stlWall Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

stlWall Class Reference
Inheritance diagram for stlWall:
[legend]
Collaboration diagram for stlWall:
[legend]

## Public Member Functions

| TypeInfo ("stlWall")
| stlWall ()
| stlWall (const dictionary &dict)
| add_vCtor (Wall, stlWall, dictionary)
Public Member Functions inherited from Wall
| TypeInfo ("Wall")
| Wall ()
| Wall (const dictionary &dict)
virtual | ~Wall ()=default
| create_vCtor (Wall, dictionary,(const dictionary &dict),(dict))
const auto & | triangles () const
word | name () const
word | materialName () const
word | motionName () const

## Protected Member Functions

bool | readSTLWall (const dictionary &dict)
Protected Member Functions inherited from Wall
bool | readCommon (const dictionary &ditc)

## Additional Inherited Members

Static Public Member Functions inherited from Wall
static bool | checkTrianlge (const realx3 &p1, const realx3 &p2, const realx3 &p3)
static uniquePtr< Wall > | create (const dictionary &dict)
Protected Attributes inherited from Wall
std::vector< realx3x3 > | triangles_
word | name_
word | materialName_
word | motionName_

## Detailed Description

Definition at line 32 of file stlWall.hpp.

## Constructor & Destructor Documentation

## stlWall() [1/2]

stlWall | ( |  | ) |

Definition at line 57 of file stlWall.cpp.

## stlWall() [2/2]

stlWall | ( | const dictionary & | dict | ) |

Definition at line 61 of file stlWall.cpp.

References fatalExit.

## Member Function Documentation

## readSTLWall()

bool readSTLWall | ( | const dictionary & | dict | ) |

protected

Definition at line 28 of file stlWall.cpp.

References pFlow::endl(), fatalErrorInFunction, dictionary::getVal(), stlFile::read(), stlFile::size(), and stlFile::solid().

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "stlWall" |  | ) |

## add_vCtor()

add_vCtor | ( | Wall | ,
|  | stlWall | ,
|  | dictionary |
| ) |  |

The documentation for this class was generated from the following files:

- utilities/Utilities/geometryPhasicFlow/stlWall/stlWall.hpp
- utilities/Utilities/geometryPhasicFlow/stlWall/stlWall.cpp